Last Comment Bug 623220 - Add-on bar and Find bar close buttons don't line up
: Add-on bar and Find bar close buttons don't line up
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: x86 Mac OS X
: -- trivial (vote)
: Firefox 11
Assigned To: Markus Amalthea Magnuson
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-05 08:04 PST by Jürgen Kreileder
Modified: 2012-02-01 13:59 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
showing the 1px displacement (5.76 KB, image/png)
2011-01-05 08:05 PST, Jürgen Kreileder
no flags Details
Fix left margin on close buttons for find bar and addon bar on Mac. (1.15 KB, patch)
2011-11-29 11:23 PST, Markus Amalthea Magnuson
dao+bmo: review+
Details | Diff | Splinter Review
Current un-aligned appearance, and after applying patch. (71.13 KB, image/jpeg)
2011-11-29 11:24 PST, Markus Amalthea Magnuson
no flags Details

Description Jürgen Kreileder 2011-01-05 08:04:28 PST
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b9pre) Gecko/20110104 Firefox/4.0b9pre
Build Identifier: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b9pre) Gecko/20110104 Firefox/4.0b9pre

The close buttons on the add-on and find bars don't appear lined up.  There's a 1 pixel difference.

Reproducible: Always
Comment 1 Jürgen Kreileder 2011-01-05 08:05:34 PST
Created attachment 501323 [details]
showing the 1px displacement
Comment 2 Markus Amalthea Magnuson 2011-11-29 11:23:19 PST
Created attachment 577682 [details] [diff] [review]
Fix left margin on close buttons for find bar and addon bar on Mac.

I am still seeing this on the current nightly.

Attached is a patch that pushes the find bar close button one pixel, and the addon bar close button two pixels, so that both line up their left edge (of the mouseover state, i.e. full button graphic) with the left edge of the window close button and browser back button.
Comment 3 Markus Amalthea Magnuson 2011-11-29 11:24:28 PST
Created attachment 577683 [details]
Current un-aligned appearance, and after applying patch.

Here's a screenshot of the current appearance, and the fixed appearance when applying the patch.
Comment 4 Dão Gottwald [:dao] 2011-11-29 11:36:37 PST
Comment on attachment 577682 [details] [diff] [review]
Fix left margin on close buttons for find bar and addon bar on Mac.

Thanks!
Comment 6 Ed Morley [:emorley] 2011-11-30 05:30:55 PST
Meant to add: To save time for future patches, could you set your hgrc to include the author automatically & also add a commit message, along the lines of:
https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F

Thanks :-)
Comment 7 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-12-01 04:37:50 PST
https://hg.mozilla.org/mozilla-central/rev/e341ef2495af

Note You need to log in before you can comment on or make changes to this bug.